SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Multimedia)  >   Adobe Flash Player Vendors:   Adobe Systems Incorporated
Adobe Flash Player Bugs Let Remote Users Execute Arbitrary Code, Obtain Potentially Sensitive Information, and Bypass Same-Origin Restrictions
SecurityTracker Alert ID:  1031316
SecurityTracker URL:  http://securitytracker.com/id/1031316
CVE Reference:   CVE-2014-0580, CVE-2014-0587, CVE-2014-8443, CVE-2014-9162, CVE-2014-9163, CVE-2014-9164   (Links to External Site)
Date:  Dec 9 2014
Impact:   Disclosure of system information, Disclosure of user information, Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 13.0.0.258 and prior 13.x versions; 15.0.0.242 and prior; 11.2.202.424 and prior for Linux
Description:   Multiple vulnerabilities were reported in Adobe Flash Player. A remote user can cause arbitrary code to be executed on the target user's system. A remoter user can obtain potentially sensitive information. A remote user can bypass same-origin policy.

A remote user can create a specially crafted file that, when loaded by the target user, will execute arbitrary code on the target user's system.

Some memory corruption flaws may occur [CVE-2014-0587, CVE-2014-9164].

A use-after-free memory error may occur [CVE-2014-8443].

A stack overflow may occur [CVE-2014-9163].

A remote user can obtain potentially sensitive information CVE-2014-9162].

A remote user can bypass same-origin policy [CVE-2014-0580].


Impact:   A remote user can create a file that, when loaded by the target user, will execute arbitrary code on the target user's system.

A remoter user can obtain potentially sensitive information.

A remote user can bypass same-origin policy.

Solution:   The vendor has issued a fix (16.0.0.235 for Windows/Mac, 13.0.0.259 ESR, 11.2.202.425 for Linux).

The vendor's advisory is available at:

http://helpx.adobe.com/security/products/flash-player/apsb14-27.html

Vendor URL:  helpx.adobe.com/security/products/flash-player/apsb14-27.html (Links to External Site)
Cause:   Access control error, Boundary error
Underlying OS:  Linux (Any), UNIX (macOS/OS X), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Dec 9 2014 (Microsoft Issues Fix for Internet Explorer) Adobe Flash Player Bugs Let Remote Users Execute Arbitrary Code, Obtain Potentially Sensitive Information, and Bypass Same-Origin Restrictions
Microsoft has issued a fix for Microsoft Internet Explorer 10 and 11.
Dec 10 2014 (Red Hat Issues Fix) Adobe Flash Player Bugs Let Remote Users Execute Arbitrary Code, Obtain Potentially Sensitive Information, and Bypass Same-Origin Restrictions
Red Hat has issued a fix for Red Hat Enterprise Linux 5 and 6.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC